# @alanlu-dev/nuxt-base

<p>
  <a href="https://github.com/alanlu-dev/web-kit/blob/main/apps/nuxt-base/CHANGELOG.md"><img src="https://img.shields.io/github/v/release/alanlu-dev/web-kit?filter=@alanlu-dev/nuxt-base%2A&style=flat" alt="Version"></a>
  <a href="https://www.npmjs.com/package/@alanlu-dev/nuxt-base"><img src="https://img.shields.io/npm/dm/@alanlu-dev/nuxt-base" alt="Downloads"></a>
  <a href="https://github.com/alanlu-dev/web-kit/blob/main/LICENSE"><img src="https://img.shields.io/github/license/alanlu-dev/web-kit?style=flat" alt="License"></a>
</p>

Shareable Nuxt configuration.

## Installation

```bash
pnpm add -D @alanlu-dev/nuxt-base
```

## Usage

Create a `nuxt.config.ts` file in the root of your project:

```ts
export default defineNuxtConfig({
  extends: ['@alanlu-dev/nuxt-base'],
})
```
